# Created by pyp2rpm-3.3.4
%global pypi_name losant-rest

Name:           python-%{pypi_name}
Version:        1.10.4
Release:        1%{?dist}
Summary:        REST client for the Losant API

License:        MIT
URL:            https://github.com/Losant/losant-rest-python
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The REST API client provides a simple way to use the comprehensive Losant API.
You can authenticate either as a Losant device or with your user account, and
have access to all the functionality of the Losant platform.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The REST API client provides a simple way to use the comprehensive Losant API.
You can authenticate either as a Losant device or with your user account, and
have access to all the functionality of the Losant platform.

%prep
%autosetup -n %{pypi_name}-python-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests/losantrest_tests.py

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md docs/
%{python3_sitelib}/losantrest/
%{python3_sitelib}/losant_rest-%{version}-py%{python3_version}.egg-info/

%changelog
* Sat Sep 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.4-1
- Initial package for Fedora